## FlatpakRelatedRef

FlatpakRelatedRef — Related application reference

## Functions

FlatpakRelatedRef * | flatpak_related_ref_new ()
const char * const * | flatpak_related_ref_get_subpaths ()
gboolean | flatpak_related_ref_should_download ()
gboolean | flatpak_related_ref_should_delete ()
gboolean | flatpak_related_ref_should_autoprune ()

## Properties

gboolean | should-autoprune | Read / Write / Construct Only
gboolean | should-delete | Read / Write / Construct Only
gboolean | should-download | Read / Write / Construct Only
GStrv | subpaths | Read / Write / Construct Only

## Types and Values

struct | FlatpakRelatedRef

## Object Hierarchy

        GObject
        ╰── FlatpakRef
            ╰── FlatpakRelatedRef

## Description

A FlatpakRelatedRef provides information about an ref that is related to another ref. For instance, the local extension ref of an app.

## Functions

### flatpak_related_ref_new ()

    FlatpakRelatedRef *
    flatpak_related_ref_new (const char *collection_id,
                             const char *full_ref,
                             const char *commit,
                             char **subpaths,
                             gboolean download,
                             gboolean delete);

Creates a new FlatpakRelatedRef object.

#### Parameters

collection_id | the collection ID. | [nullable]
full_ref | a full ref to refer to |
commit | a commit ID to refer to. | [nullable]
subpaths | a nul-terminated array of subpaths. | [nullable]
download | whether to auto-download the ref with the main ref |
delete | whether to auto-delete the ref with the main ref |

#### Returns

a new ref

### flatpak_related_ref_get_subpaths ()

    const char * const *
    flatpak_related_ref_get_subpaths (FlatpakRelatedRef *self);

Returns the subpaths that should be installed/updated for the ref. This returns `NULL` if all files should be installed.

#### Parameters

self | a FlatpakRelatedRef |

#### Returns

A strv, or `NULL`.

[transfer none]

Since: 0.6.7

### flatpak_related_ref_should_download ()

    gboolean
    flatpak_related_ref_should_download (FlatpakRelatedRef *self);

Returns whether to auto-download the ref with the main ref.

#### Parameters

self | a FlatpakRelatedRef |

#### Returns

`TRUE` if the ref should be downloaded with the main ref.

Since: 0.6.7

### flatpak_related_ref_should_delete ()

    gboolean
    flatpak_related_ref_should_delete (FlatpakRelatedRef *self);

Returns whether to auto-delete the ref with the main ref.

#### Parameters

self | a FlatpakRelatedRef |

#### Returns

`TRUE` if the ref should be deleted with the main ref.

Since: 0.6.7

### flatpak_related_ref_should_autoprune ()

    gboolean
    flatpak_related_ref_should_autoprune (FlatpakRelatedRef *self);

Returns whether to delete when pruning unused refs.

#### Parameters

self | a FlatpakRelatedRef |

#### Returns

`TRUE` if the ref should be considered unused when pruning.

Since: 0.11.8

## Types and Values

### struct FlatpakRelatedRef

    struct FlatpakRelatedRef;

## Property Details

### The `“should-autoprune”` property

      “should-autoprune”         gboolean

Whether to delete when pruning unused refs.

Owner: FlatpakRelatedRef

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“should-delete”` property

      “should-delete”            gboolean

Whether to auto-delete the ref with the main ref.

Owner: FlatpakRelatedRef

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“should-download”` property

      “should-download”          gboolean

Whether to auto-download the ref with the main ref.

Owner: FlatpakRelatedRef

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“subpaths”` property

      “subpaths”                 GStrv

The subpaths for a partially installed ref.

Owner: FlatpakRelatedRef

Flags: Read / Write / Construct Only